<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="attributeDetailsForm">
        <s:token allowMultiplePosts="true"/>
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="attributeDetails"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.hpd.AttributeDetails']}</ui:define>
            <s:div rendered="#{attribute == null}">
                <h:outputText value="#{messages['net.ihe.gazelle.hpd.NoAttributeSelected']}"/>
            </s:div>
            <s:div rendered="#{attribute != null}">
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Name']}</ui:define>
                    <h:outputText value="#{attribute.name}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                    <h:outputText value="#{attribute.oid}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                    <h:outputText value="#{attribute.description}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Syntax']}</ui:define>
                    <h:outputText value="#{attribute.syntax}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.SingleValue']}</ui:define>
                    <h:outputText value="#{attribute.singlevalue}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Equality']}</ui:define>
                    <h:outputText value="#{attribute.equality}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Substring']}</ui:define>
                    <h:outputText value="#{attribute.substr}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Ordering']}</ui:define>
                    <h:outputText value="#{attribute.ordering}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Length']}</ui:define>
                    <h:outputText value="#{attribute.length}"/>
                </s:decorate>
            </s:div>
            <ui:define name="popup_footer">
                <button type="button" class="gzl-btn" data-dismiss="modal">
                    #{messages['users.Cancel']}
                </button>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
